$(document).ready(function(){
	//批量状态改变
    $('.btns #passs').click(function(){
		//alert("1");
		var _checkboxes = $('table tbody input:checkbox:checked');
		if (_checkboxes.size()>0) {	
			var _url = $(this).attr("href");
			var _param = _checkboxes.serializeArray();
			$.post(_url, _param, function(data) {
				$("#search .search-btn").click();
				//$('#box').html(data);
			//	window.location.href=("_url");
			});
		} 

	});
    
    $('#list-content tbody .content-status button').click(function(){
		var _href = $(this).attr('href');
		if (_href&&_href!='#') {
			window.location.href=_href;
			return false;
		}   	
    })
    
	$.fn.serializeObject = function()    
	{    
	   var o = {};    
	   var a = this.serializeArray();    
	   $.each(a, function() {    
	       if (o[this.name]) {    
	           if (!o[this.name].push) {    
	               o[this.name] = [o[this.name]];    
	           }    
	           o[this.name].push(this.value || '');    
	       } else {    
	           o[this.name] = this.value || '';    
	       } 
	      
	   });  
	 //  return JSON.stringify(o);	
	
	
	   var vCount = 0;
       // 计算json内部的数组最大长度
       for(var item in o){
           var tmp = $.isArray(o[item]) ? o[item].length : 1;
           vCount = (tmp > vCount) ? tmp : vCount;
       }

       if(vCount > 1) {
           var jsonData2 = new Array();
           for(var i = 0; i < vCount; i++){
               var jsonObj = {};
               for(var item in o) {
                   jsonObj[item] = o[item][i];
               }
               jsonData2.push(jsonObj);
           }
           return JSON.stringify(jsonData2);
       }else{
           return "[" + JSON.stringify(o) + "]";
       } 
	} 
  

 // 页面中按钮的超链接跳转
//	$('#box button[href]').click(function(){
//		var _href = $(this).attr('href');
//		if (_href&&_href!='#') {
//			window.location.href=_href;
//			return false;
//		}
//	});
	
	
})
